#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkdcraw
Summary:        C++ interface around LibRaw library
Epoch:          2
Version: 20.12.0
Release:        %mkrel %{rel}
Group:          System/Libraries
License:        GPLv2
URL:            https://www.kde.org/applications/graphics/
Source:         https://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)

%rename %name-common

# Branch Patch (100-200)

# Security Patch (500-600)

%description
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS

#------------------------------------------------------------------------------

%define kf5kdcraw_major 5
%define libkf5kdcraw %mklibname kf5kdcraw %kf5kdcraw_major

%package -n     %{libkf5kdcraw}
Summary:        Kdcraw library
Group:          System/Libraries
Provides:       kf5dcraw = %epoch:%version-%release
Provides:       kf5kdcraw = %epoch:%version-%release
Requires:       %{name}

Obsoletes:      %{_lib}kf5dcraw5 < 2:19.04.3-2
Provides:       %{_lib}kf5dcraw5 = %epoch:%version-%release

%description -n %{libkf5kdcraw}
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkf5kdcraw}
%_kf5_libdir/libKF5KDcraw.so.%{kf5kdcraw_major}{,.*}

#------------------------------------------------------------------------------

%define libkf5kdcraw_devel %mklibname kf5kdcraw -d

%package -n     %{libkf5kdcraw_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kdcraw = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release

Obsoletes:      %{_lib}kf5dcraw-devel < 2:19.04.3-2

%description -n %{libkf5kdcraw_devel}
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkf5kdcraw_devel}
%_kf5_includedir/KDCRAW/
%_kf5_includedir/libkdcraw_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5KDcraw/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655683
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644065
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633881
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627124
- New version 20.08.1

* Wed Sep 09 2020 zezinho <zezinho> 2:20.08.0-2.mga8
+ Revision: 1623888
- rebuild against libraw20

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614992
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604188
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596926
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584572
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568202
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559392
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1539936
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513368
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467022
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457968
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1446476
- New version 19.08.1

* Thu Aug 01 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426761
- fix devel and library pkg name

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425059
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390514
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387721
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383076
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375722
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365637
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356574
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339579
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332809
- New version 18.08.3

* Sun Nov 18 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1330669
- New version 18.08.2

* Thu Sep 06 2018 daviddavid <daviddavid> 2:18.04.1-5.mga7
+ Revision: 1257527
- add upstream patch to fix build with libraw >= 0.19
- rebuild for new libraw 0.19.0

* Fri Jun 08 2018 wally <wally> 2:18.04.1-4.mga7
+ Revision: 1235508
- drop dead lcms BR
+ neoclust <neoclust>
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-3.mga7
+ Revision: 1201958
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-3.mga7
+ Revision: 1194980
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-3.mga7
+ Revision: 1186522
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-3.mga7
+ Revision: 1143113
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-3.mga7
+ Revision: 1136859
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 2:17.04.3-3.mga7
+ Revision: 1123811
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-3.mga6
+ Revision: 1090143
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Wed Dec 28 2016 neoclust <neoclust> 2:16.12.0-3.mga6
+ Revision: 1078462
- Rebuild for new libraw

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1076885
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1072078
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-2.mga6
+ Revision: 1067397
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-2.mga6
+ Revision: 1061460
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1050723
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1047371
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-2.mga6
+ Revision: 1040125
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-2.mga6
+ Revision: 1012615
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1004404
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 994971
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-2.mga6
+ Revision: 991247
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-2.mga6
+ Revision: 987525
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-2.mga6
+ Revision: 922689
- New version 15.12.1

* Mon Dec 28 2015 tv <tv> 2:15.12.0-2.mga6
+ Revision: 916262
- rebuild for new libraw

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912046
- New version 15.12.0

* Mon Nov 30 2015 neoclust <neoclust> 2:15.11.80-2.mga6
+ Revision: 907348
- Use official KDE tarball
- Use official KDE tarball

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905516
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901068
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880923
- New version 15.08.1
- New version 15.08.0

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-3.mga6
+ Revision: 868829
- Fix provides

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-2.mga6
+ Revision: 868816
- Update to KF5 branch

* Thu Aug 20 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 866366
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 859194
- Update to KDE Applications 15.08 Beta

* Mon May 18 2015 lmenut <lmenut> 2:4.14.3-2.mga5
+ Revision: 822338
- add upstream patch from master to fix build with libraw >= 0.16.1 (bko#347728)

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800662
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787760
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 742047
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734614
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 681552
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667547
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663059
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656737
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653922
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 652033
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636796
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625563
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615643
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609456
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606897
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603404
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600738
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590834
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580654
- Update tarball to KDE SC 4.11.5

* Sun Dec 22 2013 lmenut <lmenut> 2:4.11.4-2.mga4
+ Revision: 559662
- add security patch for CVE-2013-1438 and CVE-2013-1439
  adapted from upstream cumulated data checks patch (mga#11149)

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555056
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551328
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539799
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490665
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476710
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465103
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458974
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455360
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447848
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435012
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428318
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407137
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401934
- Update tarball to KDE SC 4.10.1

* Fri Feb 08 2013 fwang <fwang> 2:4.10.0-2.mga3
+ Revision: 395358
- requires common package for icons and icm files

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394322
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 357577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339290
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334472
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326614
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320160
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix major version
- Remove -DKDE4_ENABLE_FINAL=ON (not supported)

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316113
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 2:4.9.2-3.mga3
+ Revision: 305734
- Correctly fix the -devel package name

* Mon Oct 15 2012 mikala <mikala> 2:4.9.2-2.mga3
+ Revision: 305699
- Remove useless provides : there's a pkconfig() for the -devel package
- Update tarball to KDE SC 4.9.2
+ dlucio <dlucio>
- Just add a provides

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289642
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276622
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269711
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265289
- update libmajor
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257183
- new version 4.8.4

* Fri Apr 06 2012 tmb <tmb> 2:4.8.2-1.mga2
+ Revision: 228948
- update to 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221506
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198104
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190865
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185808
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182168
- Update tarball to KDE SC 4.7.90
- Remove redundant requires in -devel package
- use gold linker
- build with  -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176512
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161394
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151978
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140669
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Build common package as noarch
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122304
- Update tarball to KDE SC 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115737
- imported package libkdcraw
+ fwang <fwang>
- add conflits on older package for upgrading

